## r-bioc-stringdb 2.6.1

=== DESCRIPTION ===
Package: STRINGdb
Type: Package
Title: STRINGdb (Search Tool for the Retrieval of Interacting proteins
        database)
Version: 2.6.1
Date: 2020-01-10
Author: Andrea Franceschini <andrea.franceschini@isb-sib.ch>
Maintainer: Damian Szklarczyk <damian.szklarczyk@imls.uzh.ch>
Description: The STRINGdb package provides a R interface to the STRING protein-protein interactions database (https://www.string-db.org).
License: GPL-2
Depends: R (>= 2.14.0)
Imports: png, sqldf, plyr, igraph, RCurl, methods, RColorBrewer,
        gplots, hash, plotrix
Suggests: RUnit, BiocGenerics
biocViews: Network
git_url: https://git.bioconductor.org/packages/STRINGdb
git_branch: RELEASE_3_14
git_last_commit: 0c82921
git_last_commit_date: 2022-01-14
Date/Publication: 2022-01-16
NeedsCompilation: no
Packaged: 2022-01-16 11:16:23 UTC; biocbuild

=== debian/changelog ===
r-bioc-stringdb (2.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove one failing test which fails for unknown reasons
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Sun, 23 Jan 2022 18:25:51 +0100

r-bioc-stringdb (2.6.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Trim trailing whitespace.

  [ Nilesh Patra ]
  * d/control: Add r-cran-sqldf to B-D
  * Add needs-internet restrictions

 -- Nilesh Patra <nilesh@debian.org>  Sun, 05 Dec 2021 02:57:13 +0530

r-bioc-stringdb (2.4.1-1) unstable; urgency=medium

  * Initial release (closes: #994394)

 -- Steffen Moeller <moeller@debian.org>  Mon, 13 Sep 2021 20:33:43 +0200

=== debian/control ===
Source: r-bioc-stringdb
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-png,
               r-cran-sqldf,
               r-cran-plyr,
               r-cran-igraph,
               r-cran-rcurl,
               r-cran-rcolorbrewer,
               r-cran-gplots,
               r-cran-hash,
               r-cran-plotrix
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-stringdb
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-stringdb.git
Homepage: https://bioconductor.org/packages/STRINGdb/
Rules-Requires-Root: no

Package: r-bioc-stringdb
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Search Tool for the Retrieval of Interacting proteins database
 The STRINGdb package provides a R interface to the STRING protein-protein
 interactions database.
 .
 The original database is accessible on https://www.string-db.org.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	# Remove one failing test which fails for unknown reasons
	find debian -name test_get_enrichment.R -delete

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/STRINGdb.html .*/STRINGdb_(.*).tar.gz

## r-bioc-stringdb 2.6.5

=== debian/changelog ===
r-bioc-stringdb (2.6.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Mar 2022 08:16:08 +0100

r-bioc-stringdb (2.6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 13 Mar 2022 10:41:58 +0100

## r-bioc-stringdb 2.8.4

=== DESCRIPTION ===
Package: STRINGdb
Type: Package
Title: STRINGdb - Protein-Protein Interaction Networks and Functional
        Enrichment Analysis
Version: 2.8.4
Date: 2020-01-10
Author: Andrea Franceschini <andrea.franceschini@isb-sib.ch>
Maintainer: Damian Szklarczyk <damian.szklarczyk@imls.uzh.ch>
Description: The STRINGdb package provides a R interface to the STRING protein-protein interactions database (https://string-db.org).
License: GPL-2
Depends: R (>= 2.14.0)
Imports: png, sqldf, plyr, igraph, RCurl, methods, RColorBrewer,
        gplots, hash, plotrix
Suggests: RUnit, BiocGenerics
biocViews: Network
git_url: https://git.bioconductor.org/packages/STRINGdb
git_branch: RELEASE_3_15
git_last_commit: 7573fa2
git_last_commit_date: 2022-05-17
Date/Publication: 2022-05-17
NeedsCompilation: no
Packaged: 2022-05-17 22:05:46 UTC; biocbuild

=== debian/changelog ===
r-bioc-stringdb (2.8.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 25 May 2022 10:12:47 +0200

r-bioc-stringdb (2.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 May 2022 06:44:37 +0200

## r-bioc-stringdb 2.10.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: STRINGdb - Protein-Protein Interaction Networks and Functional
         Enrichment Analysis
-Version: 2.8.4
+Version: 2.10.0
 Date: 2020-01-10
 Author: Andrea Franceschini <andrea.franceschini@isb-sib.ch>
 Maintainer: Damian Szklarczyk <damian.szklarczyk@imls.uzh.ch>
@@ -14,9 +14,9 @@
 Suggests: RUnit, BiocGenerics
 biocViews: Network
 git_url: https://git.bioconductor.org/packages/STRINGdb
-git_branch: RELEASE_3_15
-git_last_commit: 7573fa2
-git_last_commit_date: 2022-05-17
-Date/Publication: 2022-05-17
+git_branch: RELEASE_3_16
+git_last_commit: 01cfbef
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-05-17 22:05:46 UTC; biocbuild
+Packaged: 2022-11-01 23:12:17 UTC; biocbuild

=== debian/changelog ===
r-bioc-stringdb (2.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 12:18:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-stringdb
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-stringdb
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-stringdb.git
+Homepage: https://bioconductor.org/packages/STRINGdb/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -16,11 +20,7 @@
                r-cran-gplots,
                r-cran-hash,
                r-cran-plotrix
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-stringdb
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-stringdb.git
-Homepage: https://bioconductor.org/packages/STRINGdb/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-stringdb
 Architecture: all

## r-bioc-stringdb 2.10.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: STRINGdb - Protein-Protein Interaction Networks and Functional
         Enrichment Analysis
-Version: 2.10.0
+Version: 2.10.1
 Date: 2020-01-10
 Author: Andrea Franceschini <andrea.franceschini@isb-sib.ch>
 Maintainer: Damian Szklarczyk <damian.szklarczyk@imls.uzh.ch>
@@ -15,8 +15,8 @@
 biocViews: Network
 git_url: https://git.bioconductor.org/packages/STRINGdb
 git_branch: RELEASE_3_16
-git_last_commit: 01cfbef
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_last_commit: 61be217
+git_last_commit_date: 2023-01-17
+Date/Publication: 2023-01-17
 NeedsCompilation: no
-Packaged: 2022-11-01 23:12:17 UTC; biocbuild
+Packaged: 2023-01-17 23:37:56 UTC; biocbuild

=== debian/changelog ===
r-bioc-stringdb (2.10.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jan 2023 15:32:35 +0100

## r-bioc-stringdb 2.12.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: STRINGdb - Protein-Protein Interaction Networks and Functional
         Enrichment Analysis
-Version: 2.10.1
+Version: 2.12.0
 Date: 2020-01-10
 Author: Andrea Franceschini <andrea.franceschini@isb-sib.ch>
 Maintainer: Damian Szklarczyk <damian.szklarczyk@imls.uzh.ch>
@@ -14,9 +14,9 @@
 Suggests: RUnit, BiocGenerics
 biocViews: Network
 git_url: https://git.bioconductor.org/packages/STRINGdb
-git_branch: RELEASE_3_16
-git_last_commit: 61be217
-git_last_commit_date: 2023-01-17
-Date/Publication: 2023-01-17
+git_branch: RELEASE_3_17
+git_last_commit: 179f72e
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: no
-Packaged: 2023-01-17 23:37:56 UTC; biocbuild
+Packaged: 2023-04-25 23:03:28 UTC; biocbuild

=== debian/changelog ===
r-bioc-stringdb (2.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 17:10:40 +0200

## r-bioc-stringdb 2.12.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: STRINGdb - Protein-Protein Interaction Networks and Functional
         Enrichment Analysis
-Version: 2.12.0
+Version: 2.12.1
 Date: 2020-01-10
 Author: Andrea Franceschini <andrea.franceschini@isb-sib.ch>
 Maintainer: Damian Szklarczyk <damian.szklarczyk@imls.uzh.ch>
@@ -15,8 +15,8 @@
 biocViews: Network
 git_url: https://git.bioconductor.org/packages/STRINGdb
 git_branch: RELEASE_3_17
-git_last_commit: 179f72e
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_last_commit: 843ae6a
+git_last_commit_date: 2023-08-08
+Date/Publication: 2023-08-08
 NeedsCompilation: no
-Packaged: 2023-04-25 23:03:28 UTC; biocbuild
+Packaged: 2023-08-08 22:40:45 UTC; biocbuild

=== debian/changelog ===
r-bioc-stringdb (2.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 14 Aug 2023 12:07:12 +0200

## r-bioc-stringdb 2.14.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: STRINGdb - Protein-Protein Interaction Networks and Functional
         Enrichment Analysis
-Version: 2.12.1
+Version: 2.14.0
 Date: 2020-01-10
 Author: Andrea Franceschini <andrea.franceschini@isb-sib.ch>
 Maintainer: Damian Szklarczyk <damian.szklarczyk@imls.uzh.ch>
@@ -14,9 +14,9 @@
 Suggests: RUnit, BiocGenerics
 biocViews: Network
 git_url: https://git.bioconductor.org/packages/STRINGdb
-git_branch: RELEASE_3_17
-git_last_commit: 843ae6a
-git_last_commit_date: 2023-08-08
-Date/Publication: 2023-08-08
+git_branch: RELEASE_3_18
+git_last_commit: 75f2a7b
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-08-08 22:40:45 UTC; biocbuild
+Packaged: 2023-10-24 23:19:27 UTC; biocbuild

=== debian/changelog ===
r-bioc-stringdb (2.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 17:35:00 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-stringdb
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-stringdb.git
 Homepage: https://bioconductor.org/packages/STRINGdb/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===


## r-bioc-stringdb 2.16.4

=== DESCRIPTION ===
Package: STRINGdb
Type: Package
Title: STRINGdb - Protein-Protein Interaction Networks and Functional
        Enrichment Analysis
Version: 2.16.4
Date: 2024-06-05
Author: Andrea Franceschini <andrea.franceschini@isb-sib.ch>
Maintainer: Damian Szklarczyk <damian.szklarczyk@imls.uzh.ch>
Description: The STRINGdb package provides a R interface to the STRING protein-protein interactions database (https://string-db.org).
License: GPL-2
Depends: R (>= 2.14.0)
Imports: png, sqldf, plyr, igraph, httr, methods, RColorBrewer, gplots,
        hash, plotrix
Suggests: RUnit, BiocGenerics
biocViews: Network
git_url: https://git.bioconductor.org/packages/STRINGdb
git_branch: RELEASE_3_19
git_last_commit: b41e8d0
git_last_commit_date: 2024-05-31
Repository: Bioconductor 3.19
Date/Publication: 2024-06-02
NeedsCompilation: no
Packaged: 2024-06-03 07:12:43 UTC; biocbuild

=== debian/changelog ===
r-bioc-stringdb (2.16.4-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:48:48 +0200

r-bioc-stringdb (2.16.4-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 14 Jul 2024 15:17:26 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                r-cran-sqldf,
                r-cran-plyr,
                r-cran-igraph,
-               r-cran-rcurl,
+               r-cran-httr,
                r-cran-rcolorbrewer,
                r-cran-gplots,
                r-cran-hash,

## r-bioc-stringdb 2.18.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: STRINGdb - Protein-Protein Interaction Networks and Functional
         Enrichment Analysis
-Version: 2.16.4
+Version: 2.18.0
 Date: 2024-06-05
 Author: Andrea Franceschini <andrea.franceschini@isb-sib.ch>
 Maintainer: Damian Szklarczyk <damian.szklarczyk@imls.uzh.ch>
@@ -14,10 +14,10 @@
 Suggests: RUnit, BiocGenerics
 biocViews: Network
 git_url: https://git.bioconductor.org/packages/STRINGdb
-git_branch: RELEASE_3_19
-git_last_commit: b41e8d0
-git_last_commit_date: 2024-05-31
-Repository: Bioconductor 3.19
-Date/Publication: 2024-06-02
+git_branch: RELEASE_3_20
+git_last_commit: 4005322
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-06-03 07:12:43 UTC; biocbuild
+Packaged: 2024-10-30 03:09:16 UTC; biocbuild

=== debian/changelog ===
r-bioc-stringdb (2.18.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 18:18:18 +0100

r-bioc-stringdb (2.18.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 10:58:41 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-stringdb
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-stringdb.git
 Homepage: https://bioconductor.org/packages/STRINGdb/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
